Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1173822 - non-existing homedir /var/lib/avahi-autoipd
Summary: non-existing homedir /var/lib/avahi-autoipd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-13 09:39 UTC by Ralf Corsepius
Modified: 2015-10-26 13:20 UTC (History)
4 users (show)

Fixed In Version: avahi-0.6.31-43.fc22 avahi-0.6.31-43.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-08 19:51:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Ralf Corsepius 2014-12-13 09:39:26 UTC
Description of problem:
avahi-autoipd creates a user "avahi-autoipd" with homedir=/var/lib/avahi-autoipd

useradd -r -u 170 -l -g avahi-autoipd -d /var/lib/avahi-autoipd -s /sbin/nologin -c "Avahi IPv4LL Stack" avahi-autoipd

However, this directory
* does not exit
* is not owned/provided by the rpm
* does not seem to be created at run-time.

Version-Release number of selected component (if applicable):
avahi-autoipd-0.6.31-30.fc21.x86_64

Expected results:
The package to own and create this directory, or the homedir changed to something valid.

Comment 1 Rex Dieter 2015-09-17 16:21:37 UTC
%changelog
* Thu Sep 17 2015 Rex Dieter <rdieter@fedoraproject.org> 0.6.31-40
- non-existing homedir /var/lib/avahi-autoipd (#1173822)

Comment 2 Fedora Update System 2015-09-17 17:13:46 UTC
avahi-0.6.31-40.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16117

Comment 3 Fedora Update System 2015-09-17 17:22:44 UTC
avahi-0.6.31-40.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16118

Comment 4 Fedora Update System 2015-09-17 17:32:26 UTC
avahi-0.6.31-40.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16119

Comment 5 Fedora Update System 2015-09-17 21:29:25 UTC
avahi-0.6.31-40.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update avahi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16117

Comment 6 lnie 2015-09-18 03:44:44 UTC
avahi-0.6.31-40.fc22 works

Comment 7 Fedora Update System 2015-09-18 05:20:34 UTC
avahi-0.6.31-40.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update avahi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16119

Comment 8 Fedora Update System 2015-09-18 16:24:00 UTC
avahi-0.6.31-40.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update avahi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16118

Comment 9 Fedora Update System 2015-09-22 18:43:10 UTC
avahi-0.6.31-42.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16118

Comment 10 Fedora Update System 2015-09-22 18:43:40 UTC
avahi-0.6.31-42.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16119

Comment 11 Fedora Update System 2015-09-23 07:00:15 UTC
avahi-0.6.31-40.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-09-24 09:53:46 UTC
avahi-0.6.31-42.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update avahi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16119

Comment 13 Fedora Update System 2015-09-25 21:21:45 UTC
avahi-0.6.31-42.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update avahi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16118

Comment 14 Fedora Update System 2015-09-29 19:32:14 UTC
avahi-0.6.31-43.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16118

Comment 15 Fedora Update System 2015-09-29 19:36:28 UTC
avahi-0.6.31-43.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16119

Comment 16 Fedora Update System 2015-10-04 01:38:13 UTC
avahi-0.6.31-43.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update avahi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16118

Comment 17 Fedora Update System 2015-10-04 02:21:42 UTC
avahi-0.6.31-43.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update avahi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16119

Comment 18 Fedora Update System 2015-10-08 19:51:39 UTC
avahi-0.6.31-43.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-10-26 13:20:15 UTC
avahi-0.6.31-43.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.